Bug 894451 - boot hangs without console connected
boot hangs without console connected
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: qemu (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fedora Virtualization Maintainers
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-11 14:15 EST by Brian Lane
Modified: 2013-02-27 09:34 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-27 09:34:36 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
test script to reproduce problem (594 bytes, text/plain)
2013-01-11 14:16 EST, Brian Lane
no flags Details

  None (edit)
Description Brian Lane 2013-01-11 14:15:28 EST
Description of problem:
When running virt-install using a serial console it will not start to boot unless the console has been connected. And, if you wait around 15 seconds before connecting the console you need to hit a key before the kernel will start to boot.


Version-Release number of selected component (if applicable):
python-virtinst-0.600.3-2.fc18.noarch

How reproducible:
Always

Steps to Reproduce:
Test script attached

cmdline is:

virt-install -n console-test -r 1024 --noreboot --noautoconsole --graphics none \
--disk path=$ISO,device=cdrom \
--extra-args "stage2=live:CDLABEL=Fedora\x2018\x20x86_64 console=tty0 console=ttyS0,115200n8" \
--location $ISOMOUNT
Comment 1 Brian Lane 2013-01-11 14:16:29 EST
Created attachment 677055 [details]
test script to reproduce problem
Comment 2 Cole Robinson 2013-01-14 14:43:31 EST
Thanks for the report Brian, I can reproduce.

Amit, this is what the flow control patches are supposed to fix, right? Patches my need tweaking for 1.2 (or I screwed up the backport).
Comment 3 Amit Shah 2013-01-24 05:37:24 EST
Can you fetch the qemu command line generated by the virt-install command?  I'm not sure where to look, Cole, you can help perhaps.
Comment 4 Amit Shah 2013-01-24 23:10:11 EST
I think this is fixed upstream by b37a2e4576530597dda880387e3f4da52c42b5b5
Comment 5 Cole Robinson 2013-01-25 18:38:22 EST
(In reply to comment #3)
> Can you fetch the qemu command line generated by the virt-install command? 
> I'm not sure where to look, Cole, you can help perhaps.

For reference, libvirt sticks qemu command line (and not much else) in /var/log/libvirt/qemu/<name>.log

Though I can reproduce with a hacked ISO I have that adds console=ttyS0:

qemu-kvm -cdrom boot_with_serial.iso -serial pty


(In reply to comment #4)
> I think this is fixed upstream by b37a2e4576530597dda880387e3f4da52c42b5b5

Yep, that fixes things for me. Thanks Amit!

bcl, I'll push a build early next week.
Comment 6 Fedora Update System 2013-02-02 17:33:11 EST
qemu-1.2.2-6.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/qemu-1.2.2-6.fc18
Comment 7 Fedora Update System 2013-02-11 23:58:04 EST
qemu-1.2.2-6.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.